Partially updates a metaobject. The body is a JSON Merge Patch document: change the status or individual fields values. Updated field values are re-validated against the definition.
Headers
Name
Type
Required
Description
Flowkiwi-Locale
string
-
Specifies the locale for properties that support localization. If not provided, the default locale will be used.
Path parameters
Name
Type
Required
Description
id
string
required
Metaobject identifier
Request body
Property
Type
Required
Description
fields
MetaobjectFieldInput[]
-
The field values of the metaobject, one entry per field definition.
Show fields fields
Property
Type
Required
Description
key
string
required
The field key (matches a field definition key).
value
string | null
-
This property supports translations.
The field value, stored as a string regardless of the field type. Write it in the locale given by Flowkiwi-Locale.
status
"DRAFT" | "ACTIVE"
-
The publication status of the metaobject.
Response
200 - Metaobject resource updated
Property
Type
Required
Description
@context
string | object
-
@id
string
required
@type
string
required
definition
string | null
-
The MetaobjectDefinition (IRI) this metaobject is a record of. Requires the metaobjects:read scope. Returned null when the scope is missing.
displayName
string | null
-
The human-readable label, derived from the field named by the definition's displayNameField.
handle
string
-
The metaobject's unique slug within its definition type.
id
string
-
The resource's unique identifier (UUID).
status
"DRAFT" | "ACTIVE"
-
The publication status of the metaobject.
Property
Type
Required
Description
createdAt
string
-
The date and time when the resource was created (ISO 8601 format).
definition
string | null
-
The MetaobjectDefinition (IRI) this metaobject is a record of. Requires the metaobjects:read scope. Returned null when the scope is missing.
displayName
string | null
-
The human-readable label, derived from the field named by the definition's displayNameField.
fields
EmbeddedMetaobjectFieldResource[]
-
The field values of the metaobject, one entry per field definition.
Show fields fields
Property
Type
Required
Description
key
string
-
The field key (matches a field definition key).
metaobject
Metaobject[]
-
The referenced metaobject(s). Populated when ?expand=metaobject is requested. Requires the metaobjects:read scope. Returned empty when the scope is missing.
Show metaobject fields
Property
Type
Required
Description
createdAt
string
-
The date and time when the resource was created (ISO 8601 format).
definition
string | null
-
The MetaobjectDefinition (IRI) this metaobject is a record of. Requires the metaobjects:read scope. Returned null when the scope is missing.
displayName
string | null
-
The human-readable label, derived from the field named by the definition's displayNameField.
fields
EmbeddedMetaobjectFieldResource[]
-
The field values of the metaobject, one entry per field definition.
handle
string
-
The metaobject's unique slug within its definition type.
id
string
-
The resource's unique identifier (UUID).
status
"DRAFT" | "ACTIVE"
-
The publication status of the metaobject.
updatedAt
string
-
The date and time when the resource was last modified (ISO 8601 format).